Subject: Re: linux-next: manual merge of the rdma tree with Linus' tree

From: Leon Romanovsky <[email-masked]>
Date: Fri, 14 Jul 2017 16:46:20 +0300

On Fri, Jul 14, 2017 at 08:03:49AM -0400, Doug Ledford wrote:
> On Fri, 2017-07-14 at 07:55 +0300, Leon Romanovsky wrote:
> > On Fri, Jul 14, 2017 at 01:50:26PM +1000, Stephen Rothwell wrote:
> > > Hi all,
> > >
> > > On Fri, 14 Jul 2017 06:34:16 +0300 Leon Romanovsky <[email-masked]
> > > > wrote:
> > > >
> > > > Sorry Doug, but it is not expected at all for the code which will
> > > > go to 4.14.
> > > >
> > > > Both patches in question were targeted for 4.13 and you was
> > > > expected to
> > > > see the merge conflicts during last month or so, prior to merge
> > > > window of 4.13.
> > > >
> > > > In 4.14, you should base your tree on Linus's tree and don't have
> > > > ANY
> > > > conflicts in your subsystem, between ANY subsystems and
> > > > especially
> > > > Linus, so we will be able to develop and test.
> > > >
> > > > For me, this merge conflict puts a large sign, that your tree is
> > > > not ready for 4.14.
> > > >
> > > > Please base your tree on Linus's tree.
> > >
> > > And if these commits are destined for v4.14, then they should not
> > > have
> > > been in linux-next yet.
> >
> > See, this announcement,
> > http://marc.info/?l=linux-rdma&m=149980130008834&w=2
>
> Yes, and the patch in question is one of the many that I pulled out as
> fixes that I would end up submitting during the -rc cycle.  Hence why I
> put the for-next tag on it.

OK, hope that the picture with your branches will be clear very soon.
Till when we can't create shared code.

Thanks

>
> --
> Doug Ledford <[email-masked]>
>     GPG KeyID: B826A3330E572FDD
>     Key fingerprint = AE6B 1BDA 122B 23B4 265B  1274 B826 A333 0E57 2FDD
>